style.css 1.3 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596
  1. body {
  2. margin: 0;
  3. overflow: hidden;
  4. font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen,
  5. Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  6. --bg: #1d1f21;
  7. --border: #333;
  8. }
  9. #header {
  10. position: absolute;
  11. top: 0;
  12. left: 0;
  13. right: 0;
  14. height: 60px;
  15. box-sizing: border-box;
  16. background-color: var(--bg);
  17. border-bottom: 1px solid var(--border);
  18. padding: 0.3em 1.6em;
  19. color: #fff;
  20. z-index: 1;
  21. }
  22. h1 {
  23. font-size: 18px;
  24. display: inline-block;
  25. margin-right: 15px;
  26. }
  27. #options-wrapper {
  28. position: absolute;
  29. top: 20px;
  30. right: 10px;
  31. }
  32. #options-wrapper:hover #options {
  33. display: block;
  34. }
  35. #options-label {
  36. cursor: pointer;
  37. text-align: right;
  38. padding-right: 10px;
  39. font-weight: bold;
  40. }
  41. #options {
  42. display: none;
  43. margin-top: 15px;
  44. list-style-type: none;
  45. background-color: var(--bg);
  46. border: 1px solid var(--border);
  47. padding: 15px 30px;
  48. }
  49. #options li {
  50. margin: 8px 0;
  51. }
  52. #header a {
  53. font-weight: 600;
  54. color: rgb(101, 163, 221);
  55. }
  56. #header .label {
  57. font-weight: bold;
  58. }
  59. #header input {
  60. margin-right: 6px;
  61. }
  62. #header label {
  63. color: #999;
  64. }
  65. .editor {
  66. position: absolute;
  67. top: 60px;
  68. bottom: 0;
  69. box-sizing: border-box;
  70. }
  71. #source {
  72. left: 0;
  73. width: 45%;
  74. }
  75. #output {
  76. left: 45%;
  77. width: 55%;
  78. }
  79. .highlight {
  80. background-color: rgba(46, 120, 190, 0.5);
  81. }